Tourism intensity
GET
/v1/stats/tourism-intensityCountries ranked by arrivals and tourism receipts per resident for one year, 2019 by default, the last full year before travel stopped.
Analyst plan and upKey requiredJSON or CSVCached until the next release
Parameters
| Name | Type | Description |
|---|---|---|
| yearoptional | integer query | Calendar year e.g. 2026 |
| limitoptional | integer query | Rows per page, 1 to 1000 e.g. 100 |
Request
# Countries ranked by how much they rely on tourism
curl "https://api.tourismapi.com/v1/stats/tourism-intensity" \
-H "X-API-Key: $TOURISM_API_KEY"const res = await fetch("https://api.tourismapi.com/v1/stats/tourism-intensity", {
headers: { "X-API-Key": process.env.TOURISM_API_KEY }
});
if (!res.ok) throw new Error(`Tourism API ${res.status}`);
const { meta, data } = await res.json();
console.log(meta.data_as_of, data);import os, requests
r = requests.get(
"https://api.tourismapi.com/v1/stats/tourism-intensity",
headers={"X-API-Key": os.environ["TOURISM_API_KEY"]},
timeout=10,
)
r.raise_for_status()
body = r.json()
print(body["meta"]["data_as_of"], body["data"])$ch = curl_init("https://api.tourismapi.com/v1/stats/tourism-intensity");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["X-API-Key: " . getenv("TOURISM_API_KEY")],
]);
$body = json_decode(curl_exec($ch), true);
print_r($body["data"]);
Example response
{
"meta": {
"request_id": "req_2fb5bf7eee",
"data_as_of": "2026-10-20T04:48:18Z",
"count": 50,
"ranked": 179,
"year": 2019
},
"data": [
{
"rank": 1,
"country": "AD",
"name": "Andorra",
"year": 2019,
"arrivals_per_resident": 107.684,
"receipts_per_resident_usd": 24976,
"arrivals": 8235000,
"population": 76474
},
{
"rank": 2,
"country": "MO",
"name": "Macao",
"year": 2019,
"arrivals_per_resident": 58.64,
"receipts_per_resident_usd": 61259,
"arrivals": 39406000,
"population": 672000
},
{
"rank": 3,
"country": "SM",
"name": "San Marino",
"year": 2019,
"arrivals_per_resident": 54.929,
"receipts_per_resident_usd": null,
"arrivals": 1904000,
"population": 34663
}
]
}Response fields
| Field | Type | Example |
|---|---|---|
| rank | number | 1 |
| country | string | AD |
| name | string | Andorra |
| year | number | 2019 |
| arrivals_per_resident | number | 107.684 |
| receipts_per_resident_usd | number | 24976 |
| arrivals | number | 8235000 |
| population | number | 76474 |